<?php
//
// By: Shayan Farhang Pazhooh @ ShayanWeb.com
// Version: 1.1
//
if(!defined('ABSPATH')){
	exit;
}
//
// defines
define( 'ASTRA_ShWebChild_VERSION' , '1.1' );
define( 'Astra_ShWebChild_Theme_DIR' , trailingslashit(get_stylesheet_directory()) );
define( 'Astra_ShWebChild_Theme_URI', trailingslashit(get_stylesheet_directory_uri()) );
//
// load shayanweb astra rtl css
function rtl_shayan_css(){
	wp_enqueue_style(
		'shayan-rtl',
		Astra_ShWebChild_Theme_URI . 'shayan-rtl.css',
		array('astra-theme-css'),
		ASTRA_ShWebChild_VERSION,
		'all'
	);
}
add_action('wp_enqueue_scripts','rtl_shayan_css');
//
// shayanweb custom admin font
function shayanweb_wppanelfonts(){
	// Separate Plugin For Change Fonts: https://shayanweb.com/blog/change-wp-admin-font
	wp_enqueue_style(
		'custom_admin_panel_style',
		Astra_ShWebChild_Theme_URI . 'admin-font.css',
		false,
		ASTRA_ShWebChild_VERSION,
	);
}
add_action('admin_enqueue_scripts','shayanweb_wppanelfonts');
//
// shayanweb notice
function shayanweb_adminnotice(){
	global $current_user;
	$user_id = $current_user->ID;
	if (!get_user_meta($user_id, 'shayanweb_adminnotice_ignore')) {
		echo '<div class="notice notice-error"><p>'.
		'در صورتی که می‌خواهید یک وبسایت مشابه دموی فارسی داشته باشید، طبق ویدیوی آموزشی در وبسایت شایان وب، دمو را ایمپورت کنید.'.
		' | <a class="button button-secondary" href="?shweb-ignore-notice">قبلا دمو را ایمپورت کرده‌ام! (عدم نمایش مجدد این پیام)</a>' .
		' | <a class="button button-shayanweb" href="https://shayanweb.com/blog/astra" target="_blank">ویدیو و مقاله‌ی قالب آسترا</a>' .
		'</p></div>';
	}
}
add_action('admin_notices','shayanweb_adminnotice');
//
// ignore notice
function shayanweb_adminnotice_ignore(){
	global $current_user;
	$user_id = $current_user->ID;
	if (isset($_GET['shweb-ignore-notice'])) {
		add_user_meta($user_id, 'shayanweb_adminnotice_ignore', 'true', true);
	}
}
add_action('admin_init','shayanweb_adminnotice_ignore');
//
// copy astra translations
function shayanweb_copy_astra_translations(){
  $langto=fopen(WP_LANG_DIR.'/themes/astra-fa_IR.mo',"w");
  fwrite($langto,file_get_contents(Astra_ShWebChild_Theme_DIR.'languages/astra-fa_IR.mo'));
  fclose($langto);
}
add_action('admin_init','shayanweb_copy_astra_translations');
